Regular Expression Denial of Service (ReDoS) Affecting uglify-js Open this link in a new tab package, versions <3.14.3


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JS-UGLIFYJS-1727251

  • published

    9 Nov 2021

  • disclosed

    30 Sep 2021

  • credit

    ready-research

Introduced: 30 Sep 2021

CWE-1333 Open this link in a new tab

How to fix?

Overview

Details

References